# Why ? 
These files form a toy example to ensure you can properly run the code on your computer. 

The data provided in the file data_example_gia.txt is a synthetic velocity field produced for Metropolitan France in the frame of the RéNAG benchmarck exercice on strain rates computation. The velocities are typical of the strain rate pattern expected from Glacial Isostatic Adjustment due to the Alpine ice cap melting only. Noise has been added to the theoretical velocity field. 

# How to run the example 

- Download the example directory

- Place the Makefile, qhull, nn, fmodel\*, and lib\* files and directories in the same working directory

- ```make clean & make ```

-  if you want to run in parallel on several nodes, run ```
mpirun --hostfile $PBS_NODEFILE run > YOUR_PATH_TO_CHANGE/OUT/mpi.out ``` or simply ```./run > YOUR_PATH_TO_CHANGE/OUT/mpi.out```

# Outputs

Compare your results stored in the OUT/ directory to the OUTPUT_ref/ ones. 

The command 
```bash
../utils/check.py -save 1 -name OUTPUT_ref/
```
returns : 

```bash
****** AR rates should be close to 44\% to ensure good posterior sampling ******
 AR1v   35.2491302     AR2v   11.7438307     ARV:   39.3823204
 AR1p   34.7067070     AR2p   8.54391956     ARM:   37.7504349
****** AR rates for death and birth of nodes should be as high as possible ******
 AR:   29.1554203     ARB:   9.17405033     ARD:   9.27350807
```

Figures are provided showing in the OUTPUT_ref directory for quick inspection, in particular :

- div\*.tiff and compar_div.png are produced by ```../utils_fascil/plot_compar.py -save 1 -name OUTPUT_ref/ -type div -maxval 2 -gtiff True```

- csection*.png and profil_div.csv are generated by ``` ./utils_fascil/plot_crossection_full.py -save ./OUTPUT_ref/ -out OUTPUT_ref/ -alon 3  -blon 11 -alat 49 -blat 43 -parameter div  ```

- pdf\*.png comes from ```../utils_fascil/plot_PDF.py -save ./OUTPUT_ref/ -out OUTPUT_ref/ -lon 8 -lat 46 ```

- paldir.pdf comes from ```../utils_fascil/plot_directions.py -save ./OUTPUT_ref/ -out OUTPUT_ref/ -step 10 -opt gmt -scale 0.4```
